<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="3.5">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.21022</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{647C8612-2897-40F3-9D34-AE866DDBC13B}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Engineer</RootNamespace>
    <AssemblyName>Engineer</AssemblyName>
    <ApplicationIcon>Release.ico</ApplicationIcon>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <UpgradeBackupLocation>
    </UpgradeBackupLocation>
    <OldToolsVersion>2.0</OldToolsVersion>
    <ApplicationRevision>0</ApplicationRevision>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="DevComponents.DotNetBar2, Version=6.5.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\..\..\..\..\..\Program Files\DotNetBar\DevComponents.DotNetBar2.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Design" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Runtime.Serialization.Formatters.Soap" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="Xceed.Compression, Version=3.3.7074.15400, Culture=neutral, PublicKeyToken=ba83ff368b7563c6, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\Xceed.Compression.dll</HintPath>
    </Reference>
    <Reference Include="Xceed.FileSystem, Version=3.3.7074.15400, Culture=neutral, PublicKeyToken=ba83ff368b7563c6, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\Xceed.FileSystem.dll</HintPath>
    </Reference>
    <Reference Include="Xceed.Zip, Version=3.3.7074.15400, Culture=neutral, PublicKeyToken=ba83ff368b7563c6, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\Xceed.Zip.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Controls\PreviewImageViewer.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Controls\PreviewImageViewer.Designer.cs">
      <DependentUpon>PreviewImageViewer.cs</DependentUpon>
    </Compile>
    <Compile Include="Controls\WatermarklListView.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Forms\About.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\About.Designer.cs">
      <DependentUpon>About.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\Main.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\Main.Designer.cs">
      <DependentUpon>Main.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\Map Editor.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\Map Editor.Designer.cs">
      <DependentUpon>Map Editor.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\NewUpdate.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\NewUpdate.Designer.cs">
      <DependentUpon>NewUpdate.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\SexySettings.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\SexySettings.Designer.cs">
      <DependentUpon>SexySettings.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\TipsDisplay.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\TipsDisplay.Designer.cs">
      <DependentUpon>TipsDisplay.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\Update.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\Update.designer.cs">
      <DependentUpon>Update.cs</DependentUpon>
    </Compile>
    <Compile Include="Librarys\Offset Calculator\Calculator.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Librarys\Offset Calculator\Calculator.Designer.cs">
      <DependentUpon>Calculator.cs</DependentUpon>
    </Compile>
    <Compile Include="Librarys\Plugin Converter\Converter.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Librarys\Plugin Converter\Converter.Designer.cs">
      <DependentUpon>Converter.cs</DependentUpon>
    </Compile>
    <Compile Include="Librarys\Scnr\Scripting\GlobalList.cs" />
    <Compile Include="Librarys\Scnr\Scripting\Misc.cs" />
    <Compile Include="Librarys\Scnr\Scripting\ScriptDatabase.cs" />
    <Compile Include="Librarys\Scnr\Scripting\ScriptList.cs" />
    <Compile Include="Librarys\Scnr\Scripting\ScriptPanel.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Librarys\Scnr\Scripting\ScriptPanel.Designer.cs">
      <DependentUpon>ScriptPanel.cs</DependentUpon>
    </Compile>
    <Compile Include="Librarys\Scnr\Scripting\Scripts.cs" />
    <Compile Include="Librarys\Scnr\Scripting\ScriptStrings.cs" />
    <Compile Include="Librarys\Scnr\Scripting\SyntaxChunk.cs" />
    <Compile Include="Librarys\Scnr\Scripting\Values.cs" />
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <EmbeddedResource Include="Controls\PreviewImageViewer.resx">
      <DependentUpon>PreviewImageViewer.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\About.resx">
      <SubType>Designer</SubType>
      <DependentUpon>About.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\Main.resx">
      <SubType>Designer</SubType>
      <DependentUpon>Main.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\Map Editor.resx">
      <SubType>Designer</SubType>
      <DependentUpon>Map Editor.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\NewUpdate.resx">
      <SubType>Designer</SubType>
      <DependentUpon>NewUpdate.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\SexySettings.resx">
      <SubType>Designer</SubType>
      <DependentUpon>SexySettings.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\TipsDisplay.resx">
      <DependentUpon>TipsDisplay.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\Update.resx">
      <DependentUpon>Update.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Librarys\Offset Calculator\Calculator.resx">
      <DependentUpon>Calculator.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Librarys\Plugin Converter\Converter.resx">
      <DependentUpon>Converter.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Librarys\Scnr\Scripting\ScriptPanel.resx">
      <SubType>Designer</SubType>
      <DependentUpon>ScriptPanel.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Skinning\Properties.resx">
      <DependentUpon>Properties.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
    </Compile>
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <Compile Include="Skinning\Properties.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Skinning\Properties.Designer.cs">
      <DependentUpon>Properties.cs</DependentUpon>
    </Compile>
    <Compile Include="Skinning\viewState.cs" />
    <Compile Include="Updating.cs" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Release.ico" />
    <None Include="Resources\tools.png" />
    <None Include="Resources\toolsselected.png" />
    <None Include="Resources\metatree.png" />
    <None Include="Resources\metatreeselected.png" />
    <None Include="Resources\InjectMeta.png" />
    <None Include="Resources\ExtractMeta.png" />
    <None Include="Resources\metaeditorSelected.png" />
    <None Include="Resources\metaeditor.png" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Halo3Map\Halo3Map.csproj">
      <Project>{DCA7D97C-6501-4272-8AA9-3F31D15B0438}</Project>
      <Name>Halo3Map</Name>
    </ProjectReference>
    <ProjectReference Include="..\LibraryManager\LibraryManager.csproj">
      <Project>{C59859C6-C778-4D6F-9600-B0D2143B25CD}</Project>
      <Name>LibraryManager</Name>
    </ProjectReference>
    <ProjectReference Include="..\MetaEditor\MetaEditor.csproj">
      <Project>{553BF111-671C-4F5A-BC24-DC519D63ADDC}</Project>
      <Name>MetaEditor</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>